Bug 178491 - Missing .kernelrelease in kernel-devel
Missing .kernelrelease in kernel-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: 187537
  Show dependency treegraph
 
Reported: 2006-01-20 17:48 EST by Ville Skyttä
Modified: 2015-01-04 17:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-24 00:18:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-01-20 17:48:19 EST
Recent FC5test2+ kernel-devel packages are missing the top-level .kernelrelease
file.  The top-level Makefile appears to use it nowadays for defining KERNELRELEASE.

The effect of KERNELRELEASE being empty is that the documented kbuild Makefile
method (see Documentation/kbuild/modules.txt, section 4) no longer works as
expected; in the following, the "kbuild part" is never entered when invoking
"make -C $kernelsrcdir M=`pwd`" like also instructed in kbuild/modules.txt.

    ifneq ($(KERNELRELEASE),)
    # kbuild part of makefile
    [...]
    else
    # Normal Makefile
    [...]
    endif
Comment 1 Dave Jones 2006-01-24 00:18:24 EST
fixed

Note You need to log in before you can comment on or make changes to this bug.